Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 184556 - A11y issues in Open Team Project dialog
A11y issues in Open Team Project dialog
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Becicka
issues@connecteddeveloper
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-20 14:27 UTC by Jaromir Uhrik
Modified: 2010-04-26 14:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2010-04-20 14:27:04 UTC
Product Version = NetBeans IDE 6.9 Beta (Build 201004200117)
Operating System = Linux version 2.6.27-14-generic running on i386
Java; VM; Vendor = 1.6.0_14
Runtime = Java HotSpot(TM) Client VM 14.0-b16

Accessible names and descriptions are missing together with labels for components. Here is the output of the accessibility tester...

===============================================
 Tested Window title : Open Team Project
===============================================
Results of Accessibility test
 Doesn't implement Accessible :
   - none.
 No Accessible name :
   Class: javax.swing.JList {  |  } 
   Class: javax.swing.JTextArea {  |  } 
 No Accessible description :
   Class: javax.swing.JButton {  Cancel |  } 
   Class: javax.swing.JButton {  Open from Team Server |  } 
   Class: javax.swing.JList {  |  } 
   Class: javax.swing.JTabbedPane {  Featured |  } 
   Class: javax.swing.JTextArea {  |  } 
 Label with LABEL_FOR not set :
   - none.
 Components with no LABEL_FOR pointing to it :
   Class: javax.swing.JList {  |  } 
   Class: javax.swing.JTabbedPane {  Featured |  } 
   Class: javax.swing.JTextArea {  |  } 
 Components with no mnemonic :
   - none.
 Components with wrong mnemonic (mnemonic isn't ASCII , label doesn't contain mnemonic):
   - none.
 Components not reachable with tab traversal :
   - none.
Comment 1 Jan Becicka 2010-04-21 09:29:12 UTC
Changeset: d4a3e062cac5
Author:    Jan Becicka <jbecicka@netbeans.org>
Date:      2010-04-21 11:14
Message:   Issue #184556 - A11y issues in Open Team Project dialog
Comment 2 Quality Engineering 2010-04-22 04:29:24 UTC
Integrated into 'main-golden', will be available in build *201004220200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d4a3e062cac5
User: Jan Becicka <jbecicka@netbeans.org>
Log: Issue #184556 - A11y issues in Open Team Project dialog
Comment 3 Jaromir Uhrik 2010-04-26 14:39:33 UTC
Verified in NetBeans IDE Dev (Build 201004260200).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo